UnassociateEipAddress

1. API Description

This API (UnassociateEipAddress) is used to disassociate elastic IPs from resources in the same region.

circle-info

Note

The API returns the elastic IP IDs that failed to operate. An empty list indicates all operations succeeded.

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

eipIds

Yes

Array of String

ID list of elastic IPs.

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

failedEipIds

Array of String

Elastic IP IDs that failed to operate.

4. Code Example

Disassociate elastic IPs from resources in the same region.

POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: UnassociateEipAddress


Request:
{
  "eipIds": ["xxx","yyy"]
}

Response:
{
  "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
  "response": {
    "failedEipIds":["yyy"]
    "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F"
  }
}

5. Developer Resources

Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.

HTTP Status Code
Error Code
Description

400

OPERATION_DENIED_EIP_IS_DEFAULT

Default public IP cannot be unbound.

400

OPERATION_DENIED_EIP_NOT_ASSIGNED

Elastic IP is not bound.

500

OPERATION_DENIED_EIP_STATUS_NOT_SUPPORT

Operation is not supported for the elastic IP in current status.

Last updated